#ifndef LICZNIK_HPP
#define LICZNIK_HPP
#include <Qt>
#include "ui_licznik.h"
#include  "ManageSerialPort.h"
class QextSerialPort;

class Licznik: public QWidget
{
	Q_OBJECT
	public:
		/*
		 * Wyświetla okienko z wyborem portu i ustawia port.
		 */
		Licznik();
		~Licznik();
	private:
		Ui::FLicznik ui;
		ManageSerialPort *port;
		QByteArray liczba;
		QByteArray liczba_krotka;

	private slots:
		/*
		 * Wyswietla czas.
		 * Jeżeli transmisja kolejnych cyfr kończy się znakiem 'a',
		 * wyświetla z dokładnością do dziesiątych sekundy.
		 * Jeżeli transmisja kolejnych cyfr kończy się znakiem 'z',
		 * wyświetla z dokładnością do setnych senkundy.
		 */
		void przyjmijDane(const QByteArray &dataReceived);
};
#endif
