/*
 * Prosty przykładowy program wyświetlający na ekranie czas odmierzany
 * przez licznik zaprojektowany na potrzeby zawodów Line Follower.
 *
 * Korzysta z kodu projektu QSerialPortTerminal
 * https://svn.origo.ethz.ch/dsdro/QSerialPortTerminal/
 *
 * Wymaga QT 4 (na pewno działa na QT 4.4.3)
 * Przystosowany do systemu POSIX. Na Win należy dołączyć odpowiedni plik
 * z projektu QSerialPortTerminal i zmienić sekcję DEFINES w program.pro
 *
 * Krystian (krystian@elektroda.net)
 * KoNar http://konar.ict.pwr.wroc.pl
 */
#include <Qt>
#include "licznik.hpp"

int main( int argc, char *argv[] )
{
    QApplication app( argc, argv );

    Licznik window;
    window.show();


    return app.exec();
}
