#ifndef _USART_H
#define _USART_H

#define BAUD 115200
#define F_CPU 11059200UL
#define MYUBRR F_CPU/16/BAUD-1

/* Modul oparty o jakies blizej mi nie znane zrodlo. */

/*
 * Ustawia port USART na nadawanie 8bitow danych, 2bity stopu,
 * tryb asynchroniczny
 */
void USART_Init( unsigned int ubrr);

/*
 * Wysyla jeden znak (data).
 */
void USART_Transmit_char( unsigned char data );

/*
 * Wysyla ciag znakow zakonczony '\0'. Wyslanych zostaje
 * maksymalnie size znakow.
 */
void USART_Transmit_text(char * text,unsigned char size);

#endif
