#include "bramka1.h"
#include "czasomierz.h"

#include <avr/io.h>
#include <stdlib.h>
#include <util/delay.h>

/* Procedura startu zliczania czasu. */
ISR(INT0_vect)
{
	_delay_us(500); 		// na wypadek zaklocen
	if ((PIND & (1 << PD2))==0)
	{
		GIMSK &= ~(1<<INT0);
		// start licznika
		TIFR  &= ~(1<<OCF0A); // dla pewnosci
		GTCCR |=  (1<<PSR10); // reset prescalera
		TCCR0B |= 0b00000101;
		TCNT0  = 0;
		TIMSK |=  (1<<OCIE0A);

		GIMSK |= (1<<INT1);

	} else EIFR &= ~(1 << INTF0);
}

