#include "czasomierz.h"
#include "wyswietlacz.h"

/*
 * Co kazde 10ms oblicza cyfry wyswietlacza, inkrementuje
 * licznik sekund, zmienia flage send:=1 (wyslij cyfry).
 */
ISR(TIMER0_COMPA_vect)
{
	ObliczCyfry(++zmierzony_t);
	send=1;
}

void UstawCzasomierz(void)
{
	OCR0A = 107; // 108  * 1024/11059200 = 10ms

	/* Prescaler = FCPU/1024 */
	TCCR0B &= 0b11111000;

	/* CTC */
	TCCR0B &= ~(1<<WGM02);
	TCCR0A |= (1<<WGM01);
	TCCR0A &= ~(1<<WGM00);
}
