#ifndef _CZASOMIERZ_H
#define _CZASOMIERZ_H

#include <avr/interrupt.h>

/* Inicjalizuje odmierzanie czasu */
void UstawCzasomierz(void);

/* Przechowuje zmierzony czas */
volatile uint16_t zmierzony_t;

/* Flaga wysylania na USART
 * send =
 *			0 - nic nie rob
 *			1 - wyslij normalnie
 *			2 - wyslij ostatni raz
 */
volatile uint16_t send;

#endif
