#ifndef _WYSWIETLACZ_H
#define _WYSWIETLACZ_H

/* Nazwy odpowiednich cyfr w tabeli cyfry[] */
#define centy_s 0
#define decy_s	1
#define sek		2
#define deka_s	3
#define min		4

/* Tutaj przechowuje aktualny czas */
char cyfry[5];

/*
 * Argumentem jest liczba setnych sekundy. Na tej podstawie
 * obliczana jest i wypelniana zawartosc cyfry[].
 */
void ObliczCyfry(unsigned int);

/*
 * Inkrementuje nr aktualnie wyswietlanej (LED) cyfry i zwraca go.
 * Nr pamietany jest w zmiennej statycznej wewnatrz funkcji.
 */
unsigned char ObliczNrCyfry();

/*
 * Powoduje wyswietlenie odpowiedniej cyfry na kolejnym segmencie.
 * Do wyznaczenia nru segmentu wykorzystuje ObliczNrCyfry().
 *
 * Kod dostosowany do konkretnej konfiguracji wyjsc uC. 
 */
void WyswietlCyfre();

/*
 * Ustawia wyswietlacz LED.
 */
void InicjujWyswietlacz(void);

#endif
 
